%define	module	IO-Compress-Base
%define	name	perl-%{module}
%define	version	2.006
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A sole purpose if to to be sub-classed by IO::Compress modules
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/IO/%{module}-%{version}.tar.gz
BuildRequires:	perl-devel
BuildArch:  noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module is not intended for direct use in application code. 
Its sole purpose if to to be sub-classed by IO::Compress modules.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/*




%changelog
* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.006-1mdv2008.0
+ Revision: 78128
- new version

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.005-1mdv2008.0
+ Revision: 48097
- new version


* Mon Mar 05 2007 Olivier Thauvin <nanardon@mandriva.org> 2.004-1mdv2007.0
+ Revision: 132945
- 2.004

* Sat Jan 06 2007 Olivier Thauvin <nanardon@mandriva.org> 2.003-1mdv2007.1
+ Revision: 104824
- 2.003

* Mon Nov 13 2006 Olivier Thauvin <nanardon@mandriva.org> 2.001-1mdv2007.1
+ Revision: 83924
- first mdv package
- Create perl-IO-Compress-Base

